<?php

namespace GopNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;

class OperatingBudgetParametersController {
    
    protected $service;
    protected $crudService;
    
    public function __construct($connection, $environment, $util, $service, $crudService){
        $this->connection   = $connection;
        $this->environment  = $environment;
        $this->util         = $util;
        $this->service      = $service;
        $this->crudService	= $crudService;
    }
    
    public function validateOperationalitemsSelect(Request\Filter $request, Response $response) {
        $data = $this->service->validateOperationalitemsSelect();
        $response->addDataSet(new DataSet("validateOperationalitemsSelect", $data));
    }
}