import Vue from 'vue';
import { ZdFieldGroup } from '@zeedhi/zd-field-group';
import {
  Http,
  Metadata,
} from '@zeedhi/core';
import { SelectMultiple } from '@zeedhi/common';

Vue.component('ZdFieldGroup', ZdFieldGroup);

export class OperatingBudgetParametersController {
  public checkBoxValue: boolean = true;
  
  public generalDisableField: boolean = true;

  public checkInvalue() {
    this.checkBoxValue = !this.checkBoxValue;
    return this.checkBoxValue;
  }
  
  public generalFieldControll() {
    this.generalDisableField = !this.generalDisableField;
    return this.generalDisableField;
  }
  
  public buttonStateUnitManager = true;
  
  public activateButtonUnitManager() {
    this.buttonStateUnitManager = false;
  }
  
  public validateOperationalitemsSelect() {
    const arrayValue = [];
    const itemOperational = Metadata.getInstance<SelectMultiple>('OperationalitemsSelect');
    Http.get('/validateOperationalitemsSelect').then((response) => {
      const data = response.data.dataset.validateOperationalitemsSelect;
      data.forEach((row) => {
        arrayValue.push(row.NRITEMOPERACIONAL);
      });
      itemOperational.setValue(arrayValue);
    });
  }
}
